package com.shafaat.apps.common.controller;

import com.shafaat.apps.common.entity.Contact;
import com.shafaat.apps.common.service.ContactService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.Optional;

@Controller
public class ContactController {

    @Autowired
    private ContactService contactService;

    @PostMapping("/api/contact/send-message")
    public ResponseEntity<Contact> sendMessage(@RequestBody Contact contact) throws URISyntaxException {

        Contact result = contactService.save(contact);
        return ResponseEntity
                .created(new URI("/api/contact/send-message/" + result.getId()))
                .body(result);
    }

    @PostMapping("/form/contact/send-message")
    public ResponseEntity sendMessageForm(@ModelAttribute("contact") Contact contact) throws URISyntaxException {

        Contact result = contactService.save(contact);
        return ResponseEntity
                .created(new URI("/api/contact/send-message/" + result.getId()))
                .build();
    }

}
